<?php

declare(strict_types=1);

namespace Drupal\conditions_test\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Provides a conditions element test form.
 */
final class ConditionsFormTest extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId(): string {
    return 'conditions_form_test';
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state): array {
    $form['conditions'] = [
      '#type' => 'conditions',
      '#title' => $this->t('Conditions groups'),
      '#default_value' => [],
      '#vertical_tabs' => TRUE,
    ];

    $form['actions'] = [
      '#type' => 'actions',
      'submit' => [
        '#type' => 'submit',
        '#value' => $this->t('Send'),
      ],
    ];

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function validateForm(array &$form, FormStateInterface $form_state): void {
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state): void {
    $form_state->cleanValues();

    if (\Drupal::moduleHandler()->moduleExists('devel')) {
      dpm($form_state->getValue('conditions'));
    }
    else {
      \Drupal::messenger()->addStatus(print_r($form_state->getValue('conditions'), TRUE));
    }
  }

}
