<?php

namespace Drupal\conditions\Element;

use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Render\Attribute\FormElement;
use Drupal\plugin_config_form_builder\Element\PluginConfig;

/**
 * Provides a conditions element.
 */
#[FormElement('conditions')]
class Conditions extends PluginConfig {


  /**
   * {@inheritdoc}
   */
  public function getInfo() {
    $class = static::class;
    return [
      '#input' => TRUE,
      '#process' => [
        [$class, 'processPlugin'],
      ],
      '#theme_wrappers' => ['container'],
    ];
  }

  /**
   * Expands the element.
   */
  public static function processPlugin(&$element, FormStateInterface $form_state, &$complete_form) {
    $element['#plugin_manager'] = 'plugin.manager.condition';
    $element = PluginConfig::processPlugin($element, $form_state, $complete_form);

    $element['condition_logic'] = [
      '#type' => 'select',
      '#options' => ['and' => t('And'), 'or' => t('Or')],
      '#default_value' => $element['#default_value']['condition_logic'] ?? 'and',
    ];

    return $element;
  }

  /**
   * {@inheritdoc}
   */
  public static function valueCallback(&$element, $input, FormStateInterface $form_state) {
    $element['#plugin_manager'] = 'plugin.manager.condition';
    return PluginConfig::valueCallback($element, $input, $form_state);
  }

}
